<?php

// Check for empty fields
if(empty($_POST['name'])      ||
   empty($_POST['email'])     ||
   empty($_POST['phone'])     ||
   empty($_POST['message'])   || 
   empty($_POST['subject'])   ||
   !filter_var($_POST['email'],FILTER_VALIDATE_EMAIL))
   {
   echo "No arguments Provided!";
   return false;
   }
   
   $name = strip_tags(htmlspecialchars($_POST['name']));
$email_address = strip_tags(htmlspecialchars($_POST['email']));
$phone = strip_tags(htmlspecialchars($_POST['phone']));
$message = strip_tags(htmlspecialchars($_POST['message']));
$subjectMail = strip_tags(htmlspecialchars($_POST['subject']));
   


$from = "contacto@alcast.com.mx";
 $to = 'contacto@alcast.com.mx,lidia.ramos@alcast.com.mx';
 $subject = "Website Contact Form:  $name";
 $body = "You have received a new message from your website contact form.\n\n"."Here are the details:\n\nName: $name\n\nEmail: $email_address\n\nPhone: $phone\n\nSubject: $subjectMail\n\nMessage:\n$message";
 

 $headers = 'From: contacto@alcast.com.mx' . "\r\n" .
    "Reply-To: $email_address" . "\r\n" .
    'X-Mailer: PHP/' . phpversion();

mail($to, $subject, $body, $headers);


return true;         
?>